<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Недавнии свадьбы';
include_once '../sys/inc/thead.php';
title();


if (isset ($user) && isset($_POST['save']))
{
if (isset($_POST['name'])){$name = $_POST['name'];}

$name = stripslashes($name);
$name = htmlspecialchars($name);
$name = trim($name);
$name1 = substr($name, 0, 2);
$name2 = substr($name, 0, 3);
$name3 = substr($name, 2, 999999999);
$name4 = substr($name, 3, 999999999);
if ($name1 == 'id'){$name = $name3;}
if ($name2 == 'id='){$name = $name4;}
$name = intval($name);


$zinat33 = mysql_query ("SELECT * FROM user WHERE id='$name'");
$row33 = mysql_fetch_array($zinat33);

if (!isset($row33['nick']))
{
$err[] = "такого пользователя не существут";
err();
echo "<div class='foot'>";
echo"<a href='/moduls.zags/'>Вернутся обратно</a><br />";
echo"<a href='/'>Выйти</a>";
echo "</div>";
include_once '../sys/inc/tfoot.php';
exit ();		
}

if ($user['pol'] == 0 && $row33['pol'] == 0 or $user['pol'] == 1 && $row33['pol'] == 1)
{
$err[] = "У нас нет однополых браков";
err();
echo "<div class='foot'>";
echo"<a href='/moduls.zags/'>Вернутся обратно</a><br />";
echo"<a href='/'>Выйти</a>";
echo "</div>";
include_once '../sys/inc/tfoot.php';
exit ();		
}


$zinat = mysql_query ("SELECT * FROM zags WHERE id_user='$user[id]'");
$row = mysql_fetch_array($zinat);

$zinat1 = mysql_query ("SELECT * FROM zags WHERE id_know='$name'");
$row1 = mysql_fetch_array($zinat1);

$zinat2 = mysql_query ("SELECT * FROM zags WHERE id_user='$name'");
$row2 = mysql_fetch_array($zinat2);


if (isset ($user) && $row['zinat'] == 'da' or $row['id_user'] > 0)
{
$err[]="У вас уже есть пара";
err();	
}
elseif ($row1['id_know'] > 0 or $row2['id_user'] > 0)
{
$err[]="Этот человек уже женат";
err();	
}
else
{
mysql_query("INSERT INTO `zags` (`id_user`, `na_kom`) values('$user[id]', '$name')");
msg ('Вы сделали предложение, ожидайте ответа )))');
}
}

echo "Введите в данное окно id пользователя с которым вы хотите сыграть свадьбу )))<br />";
echo "Посли нажатия на кнопку сделать предложение вы сделаете предложение тому чей id вы ввели<br />";
echo "Будте крайне внимательны<br />";
echo "<form method='post' action='?$passgen'>\n";

echo "<input name='name' type='text' /><br /><br />";

echo "<input name='save' type='submit' value='Сделать предложение' /><br />\n";
echo "</form><br />\n";



echo "<div class='foot'>";
echo"<a href='/moduls.zags?act=svad'>Вернутся обратно</a><br />";
echo"<a href='/'>Выйти</a>";
echo "</div>";

include_once '../sys/inc/tfoot.php';
?>
